Package org.apache.uima.pear.util

# Class FileUtil.ExtFilenameFilter

java.lang.Object
org.apache.uima.pear.util.FileUtil.ExtFilenameFilter

All Implemented Interfaces:
  `FilenameFilter`

Enclosing class:
  FileUtil

public static class FileUtil.ExtFilenameFilter extends Object implements FilenameFilter
The `ExtFileFilter` allows to filter file names based on the specified filename extension.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtFilenameFilter(String fileExt)`
  Create instance of the `ExtFileFilter` class for a given filename extension.
  `ExtFilenameFilter(String fileExt, boolean ignoreCase)`
  Create instance of the `ExtFileFilter` class for a given filename extension.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `accept(File dir, String name)`
  Tests if a specified file should be included in a file list.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExtFilenameFilter

    public ExtFilenameFilter(String fileExt)
    Create instance of the `ExtFileFilter` class for a given filename extension. By default, this filename filter is case insensitive. If the given filename extension does not start from the '.' character, adds this character at the beginning.
    Parameters:
      `fileExt` - The given filename extension.

  - ### ExtFilenameFilter

    public ExtFilenameFilter(String fileExt, boolean ignoreCase)
    Create instance of the `ExtFileFilter` class for a given filename extension. If a given `boolean` flag is `true`, this filename filter is case insensitive, otherwise it's case sensitive. If the given filename extension does not start from the '.' character, adds this character at the beginning.
    Parameters:
      `fileExt` - The given filename extension.
      `ignoreCase` - The given 'case sensitivity' flag.

- ## Method Details

  - ### accept

    public boolean accept(File dir, String name)
    Tests if a specified file should be included in a file list.
    Specified by:
      `accept` in interface `FilenameFilter`
    Parameters:
      `dir` - The directory in which the file was found.
      `name` - The given name of the file.
    Returns:
      `true`, if the given file should be included in the list, `false` otherwise.